Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf
Interface FeatureManagerEdge<InputType>

All Superinterfaces:
  FeatureManager<InputType>, java.io.Serializable

All Known Subinterfaces:
  ModelManager

All Known Implementing Classes:
  BeanModel, CodingStopFeature, CompositeFeatureManager, ConstrainedFeatureManager, ConstraintTest.FixedEdges, ESTEdge, ESTInterval13, ESTInterval29, GeneConstraints, GeneConstraintsInterval13, GeneConstraintsInterval29, GeneConstraintsToy, IndicatorEdges, Interval13Model, Interval29Model, MaxentMotifFeatures, PositionWeightMatrixFeatures, PWM_evolution, PWMInterval13, PWMInterval29, StateTransitionsInterval13, StateTransitionsInterval29, TestFeatures.ExplicitHalfExponentialLengthFeature, TestFeatures.ExponentialLengthFeature, TestFeatures.HalfExponentialLengthFeature, WeightedEdges, WeightedStateChanges, ZeroOrderManager, ZeroOrderModel

    public interface FeatureManagerEdge<InputType>

extends FeatureManager<InputType>

holds features whose value depends on the current state and the previous state. This is the most general type of feature for a markov CRF.

Method Summary
`void` | `evaluateEdge(InputSequence<? extends InputType> seq, int pos, int prevState, int state, FeatureList result)` Evaluates the set of features managed by this object for the given arguments.

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Method Detail

### evaluateEdge

    void evaluateEdge(InputSequence<? extends InputType> seq,
                      int pos,
                      int prevState,
                      int state,
                      FeatureList result)

  Evaluates the set of features managed by this object for the given arguments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD